// creator  : weidu.exe (version 23100)
// argument : FFACTOR2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FFACTOR2~

IF ~~ THEN BEGIN 0 // from: FFACTOR1:0.0
  SAY #29898 /* ~No, Kirinaldo, I cannot!  Oh, Rodrigo... Rodrigo!  My fair love, where hast thou gone?!~ [FFACT201] */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("Cut15b")
~ EXIT
END

IF ~~ THEN BEGIN 1 // from: FFBIFF01:0.0 FFACTOR3:0.0
  SAY #29903 /* ~Ah... yes, Rodrigo!  Rodrigo, it is thee at long last!  But where have --~ [FFACT202] */
  IF ~~ THEN EXTERN ~FFBIFF01~ 1
END

IF ~~ THEN BEGIN 2 // from: FFCROWD1:0.0
  SAY #29905 /* ~(ahem)... And perhaps on the new lands, my lord?~ [FFACT203] */
  IF ~~ THEN EXTERN ~FFBIFF01~ 2
END

IF ~~ THEN BEGIN 3 // from: FFBIFF01:3.0 FFACTOR3:3.0
  SAY #29911 /* ~(It is baffled!  Baffled!!)~ [FFACT204] */
  IF ~~ THEN EXTERN ~FFBIFF01~ 4
END

IF ~~ THEN BEGIN 4 // from: FFBIFF01:5.0 FFACTOR3:5.0
  SAY #29915 /* ~(psst!  Arranged for me to be shipped across the sea!)~ [FFACT205] */
  IF ~~ THEN EXTERN ~FFBIFF01~ 6
END

IF ~Global("HaerDalisFree","GLOBAL",0)
!Dead("HaerDalis")~ THEN BEGIN 5 // from:
  SAY #29929 /* ~(sigh)  Without Haer'Dalis as our Rodrigo, I am afraid there is little that we can do.  Foolish tiefling, getting caught as he has!~ */
  IF ~~ THEN EXIT
END

IF ~GlobalGT("HaerDalisFree","GLOBAL",0)
!Dead("HaerDalis")
Global("RaelisHasGem","GLOBAL",0)~ THEN BEGIN 6 // from:
  SAY #37753 /* ~You have saved my Rodrigo!  My thanks to you and all your ancestors, little <RACE>!  Truly it is a glorious day!~ */
  IF ~~ THEN EXIT
END

IF ~GlobalGT("HaerDalisFree","GLOBAL",0)
!Dead("HaerDalis")
Global("RaelisHasGem","GLOBAL",1)~ THEN BEGIN 7 // from:
  SAY #37754 /* ~There is naught we could do to repay you for all you have done for this troupe, my <LADYLORD>.  Truly, thou'rt a wonder.~ */
  IF ~~ THEN EXIT
END

IF ~Dead("HaerDalis")~ THEN BEGIN 8 // from:
  SAY #37755 /* ~Our poor sparrow lies broken.  All is darkness, now, for us all... regardless of what occurs...~ */
  IF ~~ THEN EXIT
END
